@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Permanent+Marker&family=Roboto:wght@300;400;500;700&display=swap');

/* Media Queries */
/* 320pc Media Query */
@media screen and (min-width: 320px) {
    main {
        margin: 1rem;
    }
    nav ul{
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
    }
}

/* 768px Media Query */
@media screen and (min-width: 768px){
    nav ul{
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
    }
    .drink-list{
        display: table;
    }
    .drink{ 
        display: table-cell;
    }
}
/* 1200px Media Query */
@media (max-width: 1200px){
    main {
        max-width: 1100px;
        margin: 0 auto;
    } 
    nav ul{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    } 
}

/*  Styles apply to all pages  */
* {
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    padding: 0px;
    margin: 0px;
}
html,body{
    height: 100%;
    width: 100%;
    position: relative; 
}

a{
    color: black;
    text-decoration: none;

}

a:visited{
    color: black;
}

p{
     text-indent: 20px;
}

header{
    margin-top: 5;
 }

header img{
    width: 100%;
     object-fit: contain;
     padding: 0 1%;
 }


.page-title{
    background-color: #660100;
    text-transform: uppercase;
    letter-spacing: 5px;
    text-align: center;
    font-size: 1.8rem;
    margin: 0 1%;
    color: white;
    padding: 5%
}

.page-detail p{
    background-color:#fccd45;
    text-indent: 0;
    color: black;
    width: fit-content;
    margin: 10px auto;
    padding: 5px;
}

/*  Styles for logo  */
#logo{
    width: 15%;
    display: flex;
}

#logo h1{
    font-family: 'Bebas Neue', cursive;
    font-weight: 500;
    font-size: 1rem;
}
#logo img{
    width: 20%;
    height: 40%;
}

nav{
    background-color: #fccd45;
    border-bottom: 2px solid white;
    position: fixed;
    width: 100%;
    height: 60px;
}

nav ul{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    padding-top: 5px;
    list-style: none;
}

nav li a{
    font-size: 1rem;
    letter-spacing: 2px;
    text-transform: uppercase;
    font-weight: 500;
}

nav a:hover{
    color: white;
}

main{
    background-color: #343a40;
    margin: 2% 5%;
    padding: 10px;
    width: 90vw;
}

footer{
    background-color: #343a40;
    text-align: center;
    font-size: 0.9rem;
    padding: 3%;
}

footer, address a{
    color: white;
}

address{
    font-style: normal;
}

.contact{
    text-decoration: underline;
    color: #fccd45;
}

/* Styles specific to Home page */

/* style for h2 on index/home page */

#home-title{
    text-align: center;
    font-family: 'Bebas Neue', cursive; 
    font-size: 2rem;
    letter-spacing: 5px;
} 

#atl-video{
    display:flex;
    justify-content: center;
}

#atl-video iframe{
    margin: 2% 0%;

}

/* Styles specific to Drinks page */

.drink-list{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    border: 1px solid black;
    width: 100%;
    margin: auto;
}

.drink-title{
    text-align: center;
    box-shadow: 1px 1px 1px 1px red;
    font-size: 1.5rem;
    margin: 5% 0 0%;
}

.drink-list .drink{
    flex-direction: column;
    background-color: white;
    border: 1px solid gray;
    max-width: 27%;
    margin: 1%;
    padding: 10px;
}    

.drink img{
    max-width: 100%;
    display: block;
    margin: 0 auto;
}

.drink p{
    margin: 10% 2% 5%;
    font-size: 15px;
}

.drink:hover{
    box-shadow: 2px 2px 10px 2px rgba(255, 255, 255, 0.8);
}

/* Styles specific to Restaurant page*/
.restaurant-list{
    display: flex;
    flex-direction: column;
}

.restaurant{
    background-color: white;
    margin: 0 auto 10px;
    display: flex;
    justify-content: center;
    padding: 5%;
    height: 80%;
    width: 90%;
}

/* Adds white shadow when user hover on restaurant container*/
.restaurant:hover{
    box-shadow: 2px 2px 10px 2px rgba(255, 255, 255, 0.8);
}

.restaurant img{
    margin: auto 0;
    width: 60%;
    height: 60%;
}

.restaurant h4{
    width: fit-content;
    margin-bottom: 10%;
    font-size: 1.3rem;
    box-shadow: 16px 8px #fc2526;
}

.restaurant-text {
    align-items: center;
    margin: 2%;
    padding: 5% 2%;
}

/* Styles specific to Attraction page */
.attraction-list{
    width: 90vw;
    margin: 0 auto;
}

.attraction{
    margin: 10px 10px;
    background-color: white;
}

.attraction:hover{
    box-shadow: 2px 2px 10px 2px rgba(255, 255, 255, 0.8);
}

.attraction img{
    width: 70%;
    height: 80%;
    margin: 0 auto;
}

.img-container img{
    display: flex;
}

.attraction-title{
    background-color: #660100;
    text-transform: uppercase;
    text-align: center;
    color: white;
    padding: 10px;
}

.attraction p{
    background-color: white;
    padding: 4%;
}


/* Styles specific to Tour page */

.tour{
    background-color: white;
    display: grid;
    padding: 5%;
    grid-gap: 2%;
}

.tour-image{
    grid-column:1/2;
    grid-row: 1/5;
}


.tour-text{
    margin: 1px;
    padding: 2%;
    grid-column:2/3;
    grid-row: 1;
}

/*  styles of Tour table */
#tour-table{
    border: 1px solid black;
    border-collapse: collapse;
    width: 350px;
    margin: auto;
    grid-column:2/3;
    grid-row: 3/3;
}
.table-header{
    background-color: rgba(252, 205, 69, 0.3);
}

th{
    border: 1px solid black;
    padding: 1px 3px;
}

td{
    padding: 3px 8px;
    border: 1px solid black;
}

/* s tyles for form */
.form-container{
    grid-column:2/3;
    grid-row: 4/4;
}

form{
    background-color: white;
    border: 1px solid black;
    overflow: auto;
    width: 350px;
    padding: 5%;
    line-height: 150%;
    text-align: left;
}

textarea{
    resize: none;
}

form p{
    text-indent: none;
}
